Package org.eclipse.mat.snapshot.model

## Interface IObjectArray

All Superinterfaces:
  `IArray`, `IObject`, `java.io.Serializable`

All Known Implementing Classes:
  `ObjectArrayImpl`

    public interface IObjectArray
    extends IArray

Marker interface to represent object arrays in the heap dump.

No Implement:

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.snapshot.model.IObject

`IObject.Type`

### Method Summary

All Methods Instance Methods Abstract Methods
`long[]` `getReferenceArray()` Get an array with the object addresses.
`long[]` `getReferenceArray​(int offset, int length)` Get an array with the object addresses, beginning at `offset` and `length` number of elements.

### Methods inherited from interface org.eclipse.mat.snapshot.model.IArray

`getLength`

### Methods inherited from interface org.eclipse.mat.snapshot.model.IObject

`getClassSpecificName, getClazz, getDisplayName, getGCRootInfo, getObjectAddress, getObjectId, getOutboundReferences, getRetainedHeapSize, getSnapshot, getTechnicalName, getUsedHeapSize, resolveValue`

### Method Detail

#### getReferenceArray

    long[] getReferenceArray()

Get an array with the object addresses. 0 indicates `null` values in the array.

Returns:
  the addresses of the objects held in the array, in index order

#### getReferenceArray

    long[] getReferenceArray​(int offset,
                             int length)

Get an array with the object addresses, beginning at `offset` and `length` number of elements.

Parameters:
  `offset` - where to start
  `length` - how many entries to return
Returns:
  the addresses of the objects held in the array, in index order from the index starting at offset, with length entries